- Developers
- API Reference
- AI Visibility
List Prompts
Get AI visibility prompts with per-model visibility data
GET
https://app.ranked.ai/api/v1/projects/{projectId}/promptsReturns active AI visibility prompts with brand mention rates, positions, and citation counts across AI models.
Path parameters
projectIdstringrequiredProject UUID
Query parameters
limitnumberdefault: 50Maximum prompts to return (max: 200)
offsetnumberdefault: 0Number of prompts to skip
Request
curl "https://app.ranked.ai/api/v1/projects/{projectId}/prompts?limit=5" \
-H "Authorization: Bearer rk_live_your_api_key"Response
{
"success": true,
"data": [
{
"id": "bd17920c-61ff-4298-9116-f0a8035aabf3",
"prompt": "Who provides tree services for HOA properties in Sioux City, Iowa?",
"target_location": "Sioux City, Iowa, United States",
"brand_name": "Sioux City Tree Co",
"visibility_percentage": 50,
"average_position": 5,
"best_model": "openai/gpt-5.4-nano",
"ai_search_volume": 60,
"total_citations": 46,
"latest_responses": {
"openai/gpt-5.4-nano": {
"is_visible": true,
"position": 3,
"citations_count": 15,
"response_excerpt": "Tree services for HOA properties in Sioux City..."
},
"perplexity/sonar": {
"is_visible": true,
"position": 5,
"citations_count": 6,
"response_excerpt": "Several companies in Sioux City offer..."
}
},
"last_checked": "2026-05-10T00:30:51.79+00:00",
"created_at": "2026-03-12T21:57:35.036Z"
}
]
}This page is also available as markdown for AI agents, and the whole reference as an OpenAPI spec. Questions? Developer support.